### Function

# Gimp edit_copy_visible

#### Declaration [src]

    gboolean
    gimp_edit_copy_visible (
      GimpImage* image
    )

#### Description [src]

Copy from the projection.

If there is a selection in the image, then the area specified by the selection is copied from the projection and placed in an internal GIMP edit buffer. It can subsequently be retrieved using the `gimp_edit_paste()` command. If there is no selection, then the projection’s contents will be stored in the internal GIMP edit buffer.

Available since: | 2.2

#### Parameters

`image` | `GimpImage`
| The image to copy from.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| TRUE if the copy was successful.